> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Search Results

* Get search results. Please make sure the search is **done** before calling this endpoint.

* Pricing: **1 credits** per result.


## OpenAPI

````yaml GET /get-search-results
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-search-results:
    get:
      parameters:
        - name: request_id
          in: query
          required: true
          schema:
            type: string
            example: dd1b29063de8927b31fa523d36432b61
          description: ''
        - name: page
          in: query
          required: false
          schema:
            type: integer
            example: 1
          description: >-
            The page number for paginated results. Maximum 100 results returned
            per page.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Employees'
        '400':
          description: Invalid request_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestID'
        '503':
          description: Error not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Employees:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              about:
                type: string
                example: >-
                  Experienced Store Manager with a history in the retail fashion
                  industry.
              city:
                type: string
                example: Paris
              company:
                type: string
                example: Aubade Paris
              company_domain:
                type: string
                example: aubade.fr
              company_employee_range:
                type: string
                example: 201 - 500
              company_id:
                type: string
                example: '1324737'
              company_industry:
                type: string
                example: Retail Apparel and Fashion
              company_linkedin_url:
                type: string
                format: uri
                example: https://www.linkedin.com/company/aubade
              company_logo_url:
                type: string
                format: uri
                example: https://example.com/logo.png
              company_website:
                type: string
                format: uri
                example: http://www.aubade.fr
              company_year_founded:
                type: integer
                example: 1958
              country:
                type: string
                example: France
              educations:
                type: array
                items:
                  type: object
                  properties:
                    degree:
                      type: string
                      example: Master of Science
                    field_of_study:
                      type: string
                      example: Marketing
                    school:
                      type: string
                      example: Université Paris Dauphine
                    start_year:
                      type: integer
                      example: 2016
                    end_year:
                      type: integer
                      example: 2018
              experiences:
                type: array
                items:
                  type: object
                  properties:
                    company:
                      type: string
                      example: Aubade Paris
                    date_range:
                      type: string
                      example: Jan 2018 - Present
                    title:
                      type: string
                      example: Store Manager
                    description:
                      type: string
                      example: Managed operations and team of 10 staff.
                    duration:
                      type: string
                      example: 5 years
                    location:
                      type: string
                      example: Paris, France
              first_name:
                type: string
                example: Alexia
              last_name:
                type: string
                example: Routier
              job_title:
                type: string
                example: Directrice boutique
              location:
                type: string
                example: Cannes, France
              linkedin_url:
                type: string
                format: uri
                example: https://www.linkedin.com/in/alexia-routier
        message:
          type: string
          example: Success
        search_params:
          type: object
          properties:
            query:
              type: string
              example: store manager
            filters:
              type: array
              items:
                type: string
                example: location:Paris
            sort:
              type: string
              example: relevance
        total_count:
          type: integer
          example: 123
        total_employees:
          type: integer
          example: 500
      required:
        - data
        - message
        - total_count
        - total_employees
    InvalidRequestID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid request_id.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````